Bug 1123341 - [abrt] rhythmbox: _g_log_abort(): rhythmbox killed by SIGABRT
Summary: [abrt] rhythmbox: _g_log_abort(): rhythmbox killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5a26ff8c2cbc183b85a048aa7b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 11:28 UTC by Iliyan
Modified: 2015-06-29 21:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:45:27 UTC


Attachments (Terms of Use)
File: backtrace (72.69 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: core_backtrace (54.46 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: dso_list (31.49 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: environ (1.68 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: maps (148.31 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: open_fds (3.15 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details
File: var_log_messages (1.74 KB, text/plain)
2014-07-25 11:28 UTC, Iliyan
no flags Details

Description Iliyan 2014-07-25 11:28:04 UTC
Description of problem:
I was looking ofr a song by typing the name of existing song from the playlist in the search all fields bar. Then from the resulting list i've clicked on the song to start playing it and Rhythmbox went Kaboom.

Version-Release number of selected component:
rhythmbox-3.0.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: _g_log_abort
executable:     /usr/bin/rhythmbox
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 rb_shuffle_play_order_go_next at rb-play-order-shuffle.c:230
 #6 rb_shell_player_do_next_internal at rb-shell-player.c:1222
 #7 rb_shell_player_handle_eos_unlocked at rb-shell-player.c:443
 #12 _rb_player_emit_eos at rb-player.c:603
 #13 bus_cb at rb-player-gst.c:556
 #14 gst_bus_source_dispatch at gstbus.c:769
 #18 g_main_context_iteration at gmain.c:3774
 #19 g_application_run at gapplication.c:1635
 #20 rb_application_run at rb-application.c:646

Comment 1 Iliyan 2014-07-25 11:28:08 UTC
Created attachment 920950 [details]
File: backtrace

Comment 2 Iliyan 2014-07-25 11:28:09 UTC
Created attachment 920951 [details]
File: cgroup

Comment 3 Iliyan 2014-07-25 11:28:11 UTC
Created attachment 920952 [details]
File: core_backtrace

Comment 4 Iliyan 2014-07-25 11:28:13 UTC
Created attachment 920953 [details]
File: dso_list

Comment 5 Iliyan 2014-07-25 11:28:14 UTC
Created attachment 920954 [details]
File: environ

Comment 6 Iliyan 2014-07-25 11:28:15 UTC
Created attachment 920955 [details]
File: limits

Comment 7 Iliyan 2014-07-25 11:28:18 UTC
Created attachment 920956 [details]
File: maps

Comment 8 Iliyan 2014-07-25 11:28:19 UTC
Created attachment 920957 [details]
File: open_fds

Comment 9 Iliyan 2014-07-25 11:28:20 UTC
Created attachment 920958 [details]
File: proc_pid_status

Comment 10 Iliyan 2014-07-25 11:28:21 UTC
Created attachment 920959 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:28:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:45:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.